Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AbleParException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.rmi.RemoteException
                      com.ibm.able.AbleException
                          com.ibm.able.rules.AbleParException

All Implemented Interfaces:
  java.io.Serializable

public class AbleParException
extends AbleException

This class defines the Able rule Parser exception.

See Also:
  Serialized Form

Field Summary
`int` | `column` The column number in the line from the text file which contains the problem.
`int` | `line` The line number from the text file which contains the problem.
`java.lang.String` | `token` The token causing the parsing error.

Fields inherited from class com.ibm.able.AbleException
`myMessageContainer, object, severity`

Fields inherited from class java.rmi.RemoteException
`detail`

Constructor Summary
`AbleParException()` Create a new parser exception.
`AbleParException(java.lang.String theErrorLocation)` Create a new parser exception.
`AbleParException(java.lang.String theErrorMessage, java.util.Collection collection)` Create a collection of AbleParException's.
`AbleParException(java.lang.String theErrorMessage, int theLine, int theColumn, java.lang.String theToken)` Create a new parser exception.
`AbleParException(java.lang.String theErrorMessage, java.lang.Throwable theException)` Create a new parser exception based on another exception.
`AbleParException(java.lang.String theErrorMessage, java.lang.Throwable theException, int theLine, int theColumn, java.lang.String theToken)` Create a new parser exception.

Method Summary
`int` | `getColumn()` Returns the column.
`int` | `getLine()` Returns the line.
`java.lang.String` | `getToken()` Method getToken.
`void` | `setColumn(int column)` Sets the column.
`void` | `setLine(int line)` Sets the line.
`void` | `setPoint(int line, int column)` Sets the line and column.
`void` | `setToken(java.lang.String theToken)` Method setToken.
`java.lang.String` | `toString()` Retrieve a string describing (the contents of) the object.

Methods inherited from class com.ibm.able.AbleException
`getExceptionBeans, getExceptions, getLocalizedMessage, getMessageContainer, getObject, getSeverity, hasMessageContainer, setObject, setSeverity`

Methods inherited from class java.rmi.RemoteException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### line

    public int line

  The line number from the text file which contains the problem. Begins with line 1. A value of 0 means the error cannot be related to a text file.

### column

    public int column

  The column number in the line from the text file which contains the problem. Begins with column 1. A value of 0 means the error cannot be related to a text file.

### token

    public java.lang.String token

  The token causing the parsing error. A null value means the error cannot be related to a specific token.

Constructor Detail

### AbleParException

    public AbleParException(java.lang.String theErrorLocation)

  Create a new parser exception.

Parameters:
  `theErrorLocation` - A string describing the error.

### AbleParException

    public AbleParException()

  Create a new parser exception.

### AbleParException

    public AbleParException(java.lang.String theErrorMessage,
                            java.lang.Throwable theException)

  Create a new parser exception based on another exception.

Parameters:
  `theErrorMessage` -
  `theException` - the causal exception

### AbleParException

    public AbleParException(java.lang.String theErrorMessage,
                            int theLine,
                            int theColumn,
                            java.lang.String theToken)

  Create a new parser exception.

Parameters:
  `theErrorMessage` -
  `theLine` - the line number from the text file which contains the problem
  `theColumn` - the column number from the text file which contains the problem

### AbleParException

    public AbleParException(java.lang.String theErrorMessage,
                            java.lang.Throwable theException,
                            int theLine,
                            int theColumn,
                            java.lang.String theToken)

  Create a new parser exception.

Parameters:
  `theErrorMessage` -
  `theException` - the causal exception
  `theLine` - the line number from the text file which contains the problem
  `theColumn` - the column number from the text file which contains the problem

### AbleParException

    public AbleParException(java.lang.String theErrorMessage,
                            java.util.Collection collection)

  Create a collection of AbleParException's.

Parameters:
  `theErrorMessage` -
  `collection` - A set of parse exceptions typically obtained by parsing a ruleset.

Method Detail

### toString

    public java.lang.String toString()

  Retrieve a string describing (the contents of) the object.

  Overrides:
    `toString` in class `AbleException`
  Returns:
    A String containing the current contents of the object.

### getColumn

    public int getColumn()

  Returns the column.

  Returns:
    int

### getLine

    public int getLine()

  Returns the line.

  Returns:
    int

### setColumn

    public void setColumn(int column)

  Sets the column.

  Parameters:
    `column` - The column to set

### setLine

    public void setLine(int line)

  Sets the line.

  Parameters:
    `line` - The line to set

### setPoint

    public void setPoint(int line,
                         int column)

  Sets the line and column.

  Parameters:
    `line` - The line to set
    `column` - The column to set

### setToken

    public void setToken(java.lang.String theToken)

  Method setToken.

  Parameters:
    `theToken` -

### getToken

    public java.lang.String getToken()

  Method getToken.

  Returns:
    String

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005